# Contributing Guidelines

When contributing to this repository, please first discuss the change you wish to make via issue, email, or any other method with the owners of this repository before making a change.

Please note we have a [code of conduct](CODE-OF-CONDUCT.md), please follow it in all your interactions with the project.

## Pull Request Checklist

Before sending your pull requests, make sure you followed this list.

1. Read [contributing guidelines](CONTRIBUTING.md).
2. Read [Code of Conduct](CODE-OF-CONDUCT.md).
3. Increase the version numbers in any examples files and the [version variable on `version.rb`](lib/jekyll_slugify/version.rb) to the new version that this Pull Request would represent. The versioning scheme we use is [SemVer](http://semver.org/).
4. You may merge the Pull Request in once you have the approval of the project owner.

## Reporting a Bug & Requesting Features

For both actions, this project uses GitHub templates, please use the adequate template when either reporting a bug or requesting a new feature.

## Licensing and copyright

Please note that accepted contributions are included in the repository and hence added under the same [license](LICENSE.md) as the repository to which it was contributed.
